can't install pyzor

Discussion in 'HOWTO-Related Questions' started by ptalindstrom, Jan 7, 2008.

  1. ptalindstrom

    ptalindstrom New Member

    Virtual Users.. With Postfix Spamfilter HowTo doesn't work.

    I have gone through Virtual Users And Domains With Postfix, Courier And MySQL and it seemed at first like everything was working until i realized amavisd was killing my server (taking up all memory and maxing out cpu).

    After removing it i seem to have almost everything working except that i get no spam filtering. Trying to go through things for SpamAssassin over again and i see that pyzor (and i think razor) didn't install and due to the fact that python-support won't install.

    I get this:

    Code:
     apt-get install razor pyzor dcc-client
    Reading package lists... Done
    Building dependency tree... Done
    razor is already the newest version.
    pyzor is already the newest version.
    dcc-client is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 223 not upgraded.
    2 not fully installed or removed.
    Need to get 0B of archives.
    After unpacking 0B of additional disk space will be used.
    Setting up python-support (0.5.6) ...
    /var/lib/dpkg/info/python-support.postinst: /usr/sbin/update-python-modules: /usr/bin/python: bad interpreter: No such file or directory
    dpkg: error processing python-support (--configure):
     subprocess post-installation script returned error exit status 126
    dpkg: dependency problems prevent configuration of pyzor:
     pyzor depends on python-support (>= 0.2); however:
      Package python-support is not configured yet.
    dpkg: error processing pyzor (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     python-support
     pyzor
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Any thoughts?

    Also, i need to re-test but i am pretty sure the mail forwarding doesn't work - but i'll post that separately.

    peter...
     
    Last edited: Jan 8, 2008
  2. falko

    falko Super Moderator ISPConfig Developer

    Please try this:
    Code:
    apt-get update
    apt-get install python
    Then run
    Code:
    apt-get install razor pyzor dcc-client
    again.
     
  3. ptalindstrom

    ptalindstrom New Member

    thanks so much for replying...

    i ran the update.. got a lot of hits.. and then this near the end:

    Code:
    Fetched 313kB in 1s (164kB/s)
    Reading package lists... Done
    W: GPG error: http://www.debian-multimedia.org stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
    W: GPG error: http://non-us.debian.org stable/non-US Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY F1D53D8C4F368D5D
    W: You may want to run apt-get update to correct these problems
    but doubt that's an issue.

    then i run:

    apt-get install python

    and get same issue as before - can't install python-support

    Code:
    Reading package lists... Done
    Building dependency tree... Done
    python is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 237 not upgraded.
    2 not fully installed or removed.
    Need to get 0B of archives.
    After unpacking 0B of additional disk space will be used.
    Setting up python-support (0.5.6) ...
    /var/lib/dpkg/info/python-support.postinst: /usr/sbin/update-python-modules: /usr/bin/python: bad interpreter: No such file or directory
    dpkg: error processing python-support (--configure):
     subprocess post-installation script returned error exit status 126
    dpkg: dependency problems prevent configuration of pyzor:
     pyzor depends on python-support (>= 0.2); however:
      Package python-support is not configured yet.
    dpkg: error processing pyzor (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     python-support
     pyzor
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    perhaps i simply need to find python-support and figure out how to install it separately??
     
  4. falko

    falko Super Moderator ISPConfig Developer

    What's in your /etc/apt/sources.list?
     
  5. ptalindstrom

    ptalindstrom New Member

    # See sources.list(5) for more information, especialy
    # Remember that you can only use http, ftp or file URIs
    # CDROMs are managed through the apt-cdrom tool.
    deb http://http.us.debian.org/debian stable main contrib non-free
    deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
    deb http://security.debian.org stable/updates main contrib non-free

    # Uncomment if you want the apt-get source function to work
    # uncommented by MJM 7aug2007:
    deb-src http://http.us.debian.org/debian stable main contrib non-free
    # uncommented by MJM 7aug2007:
    deb-src http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
    deb http://download.webmin.com/download/repository sarge contrib

    # added by MJM 7aug2007:
    deb http://www.debian-multimedia.org stable main
    deb http://opensource.creativ-it.net/debian/php5-eaccelerator ./
     
  6. falko

    falko Super Moderator ISPConfig Developer

    Comment out the non-Debian repositories so that your sources.list looks like this:
    Code:
    deb http://http.us.debian.org/debian stable main contrib non-free
    deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
    deb http://security.debian.org stable/updates main contrib non-free
    Then run
    Code:
    apt-get update
    and try again.
     
  7. ptalindstrom

    ptalindstrom New Member

    sorry about that.. didnt get auto email after your last reply... so i modded sources.list and do update and i was getting same public key issue.. took forever to find post on how to fix this (a lot of posts RE: isssue - but most didnt help).

    once that was sorted out i could now run update.. which would give same error that python-support couldnt install.

    I removed python and tried just installing it from scaratch and i get this


    Code:
    planetdrupal:/usr/bin# apt-get install python
    Reading package lists... Done
    Building dependency tree... Done
    Suggested packages:
      python-doc python-tk python-profiler
    The following NEW packages will be installed:
      python
    0 upgraded, 1 newly installed, 0 to remove and 233 not upgraded.
    Need to get 0B/141kB of archives.
    After unpacking 623kB of additional disk space will be used.
    Selecting previously deselected package python.
    (Reading database ... 50925 files and directories currently installed.)
    Unpacking python (from .../python_2.4.4-2_all.deb) ...
    Setting up python (2.4.4-2) ...
    
    planetdrupal:/usr/bin# which python
    planetdrupal:/usr/bin#
    which all seems fine.. but when i try to install python-support - same result as always:
    Code:
    planetdrupal:/usr/bin# apt-get install python-support
    Reading package lists... Done
    Building dependency tree... Done
    The following NEW packages will be installed:
      python-support
    0 upgraded, 1 newly installed, 0 to remove and 233 not upgraded.
    Need to get 0B/23.9kB of archives.
    After unpacking 106kB of additional disk space will be used.
    Selecting previously deselected package python-support.
    (Reading database ... 50967 files and directories currently installed.)
    Unpacking python-support (from .../python-support_0.5.6_all.deb) ...
    Setting up python-support (0.5.6) ...
    /var/lib/dpkg/info/python-support.postinst: /usr/sbin/update-python-modules: /usr/bin/python: bad interpreter: No such file or directory
    dpkg: error processing python-support (--configure):
     subprocess post-installation script returned error exit status 126
    Errors were encountered while processing:
     python-support
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    planetdrupal:/usr/bin# 
    in here i can see it trying to run /usr/bin/python - which doesn't exist.. and you can see the "which python" command at the end of the python support that returns nothing.

    would seem like it inst really installed.. although apt thinks it was (??)

    possibly the problem is the line:

    Selecting previously deselected package python.

    so even though i do a remove it is still using same source as it always had.. which is maybe the issue here... i think i either need to figure out how to do a REAL remove or get new package and install with dpkg.
     
  8. ptalindstrom

    ptalindstrom New Member

    ok, got it .. :)

    i went in through webmin and it showed python packages which i removed.. then used it's apt-get interface to re-install.. this seemed to work ok (there is now an /usr/bin/python)

    after than smooth sailing... installed python-support and then:

    apt-get install razor pyzor dcc-client

    seems to be running, cpu not hitting 100% and not taking too much memory...

    just need to check if spam is being filtered now..
     
  9. ptalindstrom

    ptalindstrom New Member

    seems to be working. :)

    - test email with spam test string gets filtered

    XJS*C4JDBQADN1.NSBN3*2IDNEN*GTUBE-STANDARD-ANTI-UBE-TEST-EMAIL*C.34X

    - when i restarted postfix cpu was at 96%.. after 20 min it has slowly died to around 15% and still dropping (clamd)

    - does seem to be sucking up an extra 70M of RAM tough which is pretty pricey on a VPS. Does this sound correct??

    does this look right??

    Code:
    amavis   21721  0.0  8.9 54652 47020 ?       Ss   21:23   0:00 amavisd (master)
    clamav   21767 10.6  6.0 45236 31916 ?       Ss   21:23   1:28 /usr/sbin/clamd
    amavis   21777  0.0  9.3 57252 49080 ?       S    21:23   0:00 amavisd (ch3-avail)
    amavis   21779  0.0  9.2 56844 48640 ?       S    21:23   0:00 amavisd (ch2-avail)
    clamav   22096  0.0  0.1  5464  696 ?        Ss   21:24   0:00 /usr/bin/freshclam -d --quiet
    where various clamav and amavis processes are taking 33% of my system memory (512M total) ???

    Perhaps this set up isn't really meant for a 512M VPS system - time to upgrade.. :(

    and now to try to sort out why mail forwarding doesn't work.. almost there..

    thanks a ton for all your help.
     

Share This Page